#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'markpatternwidget.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "markpatternwidget.h"

#include <ntqvariant.h>
#include <kcombobox.h>
#include <ntqlabel.h>
#include <ntqbuttongroup.h>
#include <ntqcheckbox.h>
#include <ntqradiobutton.h>
#include <ntqpushbutton.h>
#include <ntqframe.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a MarkPatternWidget as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
MarkPatternWidget::MarkPatternWidget( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "MarkPatternWidget" );
    MarkPatternWidgetLayout = new TQVBoxLayout( this, 11, 6, "MarkPatternWidgetLayout"); 

    mainLabel = new TQLabel( this, "mainLabel" );
    MarkPatternWidgetLayout->addWidget( mainLabel );

    combo = new KComboBox( FALSE, this, "combo" );
    combo->setEditable( TRUE );
    MarkPatternWidgetLayout->addWidget( combo );

    buttonGroup1 = new TQButtonGroup( this, "buttonGroup1" );
    buttonGroup1->setColumnLayout(0, TQt::Vertical );
    buttonGroup1->layout()->setSpacing( 6 );
    buttonGroup1->layout()->setMargin( 11 );
    buttonGroup1Layout = new TQGridLayout( buttonGroup1->layout() );
    buttonGroup1Layout->setAlignment( TQt::AlignTop );

    caseSensitive = new TQCheckBox( buttonGroup1, "caseSensitive" );

    buttonGroup1Layout->addMultiCellWidget( caseSensitive, 0, 0, 0, 1 );

    inclTemplates = new TQCheckBox( buttonGroup1, "inclTemplates" );

    buttonGroup1Layout->addMultiCellWidget( inclTemplates, 1, 1, 0, 1 );

    useWildcards = new TQRadioButton( buttonGroup1, "useWildcards" );

    buttonGroup1Layout->addWidget( useWildcards, 3, 0 );

    regexpButton = new TQPushButton( buttonGroup1, "regexpButton" );

    buttonGroup1Layout->addWidget( regexpButton, 4, 1 );

    useRegExp = new TQRadioButton( buttonGroup1, "useRegExp" );

    buttonGroup1Layout->addWidget( useRegExp, 4, 0 );

    line1 = new TQFrame( buttonGroup1, "line1" );
    line1->setFrameShape( TQFrame::HLine );
    line1->setFrameShadow( TQFrame::Sunken );
    line1->setFrameShape( TQFrame::HLine );

    buttonGroup1Layout->addMultiCellWidget( line1, 2, 2, 0, 1 );
    MarkPatternWidgetLayout->addWidget( buttonGroup1 );
    languageChange();
    resize( TQSize(374, 276).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( useRegExp, TQ_SIGNAL( toggled(bool) ), regexpButton, TQ_SLOT( setEnabled(bool) ) );

    // buddies
    mainLabel->setBuddy( combo );
}

/*
 *  Destroys the object and frees any allocated resources
 */
MarkPatternWidget::~MarkPatternWidget()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void MarkPatternWidget::languageChange()
{
    mainLabel->setText( tr2i18n( "To be set dynamically:" ) );
    buttonGroup1->setTitle( tr2i18n( "Options" ) );
    caseSensitive->setText( tr2i18n( "C&ase sensitive" ) );
    inclTemplates->setText( tr2i18n( "&Include templates" ) );
    useWildcards->setText( tr2i18n( "Use &wildcards" ) );
    regexpButton->setText( tr2i18n( "&Edit" ) );
    useRegExp->setText( tr2i18n( "Use regu&lar expression" ) );
}

/****************************************************************************
** MarkPatternWidget meta object code from reading C++ file 'markpatternwidget.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "markpatternwidget.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *MarkPatternWidget::className() const
{
    return "MarkPatternWidget";
}

TQMetaObject *MarkPatternWidget::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_MarkPatternWidget( "MarkPatternWidget", &MarkPatternWidget::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString MarkPatternWidget::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "MarkPatternWidget", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString MarkPatternWidget::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "MarkPatternWidget", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* MarkPatternWidget::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQWidget::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"MarkPatternWidget", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_MarkPatternWidget.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* MarkPatternWidget::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "MarkPatternWidget" ) )
	return this;
    return TQWidget::tqt_cast( clname );
}

bool MarkPatternWidget::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return TQWidget::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool MarkPatternWidget::tqt_emit( int _id, TQUObject* _o )
{
    return TQWidget::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool MarkPatternWidget::tqt_property( int id, int f, TQVariant* v)
{
    return TQWidget::tqt_property( id, f, v);
}

bool MarkPatternWidget::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
