#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'searchpreferences.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "searchpreferences.h"

#include <ntqvariant.h>
#include <ntqpushbutton.h>
#include <ntqframe.h>
#include <ntqcheckbox.h>
#include <ntqlabel.h>
#include <ntqcombobox.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a SearchPreferences as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
SearchPreferences::SearchPreferences( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "SearchPreferences" );
    SearchPreferencesLayout = new TQVBoxLayout( this, 11, 6, "SearchPreferencesLayout"); 

    frame3 = new TQFrame( this, "frame3" );
    frame3->setFrameShape( TQFrame::StyledPanel );
    frame3->setFrameShadow( TQFrame::Raised );
    frame3Layout = new TQVBoxLayout( frame3, 11, 6, "frame3Layout"); 

    kcfg_AutoSearch = new TQCheckBox( frame3, "kcfg_AutoSearch" );
    frame3Layout->addWidget( kcfg_AutoSearch );

    layout1 = new TQHBoxLayout( 0, 0, 6, "layout1"); 

    textLabel1 = new TQLabel( frame3, "textLabel1" );
    layout1->addWidget( textLabel1 );

    _kcfg_DefaultModule = new TQComboBox( FALSE, frame3, "_kcfg_DefaultModule" );
    layout1->addWidget( _kcfg_DefaultModule );
    frame3Layout->addLayout( layout1 );
    SearchPreferencesLayout->addWidget( frame3 );
    spacer1 = new TQSpacerItem( 31, 91, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    SearchPreferencesLayout->addItem( spacer1 );
    languageChange();
    resize( TQSize(600, 480).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // buddies
    textLabel1->setBuddy( _kcfg_DefaultModule );
}

/*
 *  Destroys the object and frees any allocated resources
 */
SearchPreferences::~SearchPreferences()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void SearchPreferences::languageChange()
{
    kcfg_AutoSearch->setText( tr2i18n( "Au&tomatically start search" ) );
    TQWhatsThis::add( kcfg_AutoSearch, tr2i18n( "<qt><p><b>Automatically start search</b></p>\n"
"<p>If this is activated, the search is automatically started \n"
"whenever you switch to another entry in the editor. You can \n"
"choose where to search with the combo box <b>Default Dictionary</b>.\n"
"</p><p>You can also start searching manually by choosing an entry in \n"
"the popup menu that appears either when clicking \n"
"<b>Dictionaries->Find...</b> or keeping the dictionary button \n"
"in the toolbar pressed for a while.</p></qt>" ) );
    textLabel1->setText( tr2i18n( "D&efault dictionary:" ) );
    TQWhatsThis::add( _kcfg_DefaultModule, tr2i18n( "<qt><p><b>Default Dictionary</b></p>\n"
"<p>Choose here where to search as default. \n"
"This setting is used when searching is started automatically \n"
"or when pressing the dictionary button in the toolbar.</p>\n"
"<p>You can configure the different dictionaries by selecting \n"
"the desired dictionary from <b>Settings->Configure Dictionary</b>.\n"
"</p></qt>" ) );
}

/****************************************************************************
** SearchPreferences meta object code from reading C++ file 'searchpreferences.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "searchpreferences.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *SearchPreferences::className() const
{
    return "SearchPreferences";
}

TQMetaObject *SearchPreferences::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_SearchPreferences( "SearchPreferences", &SearchPreferences::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString SearchPreferences::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "SearchPreferences", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString SearchPreferences::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "SearchPreferences", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* SearchPreferences::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQWidget::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"SearchPreferences", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_SearchPreferences.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* SearchPreferences::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "SearchPreferences" ) )
	return this;
    return TQWidget::tqt_cast( clname );
}

bool SearchPreferences::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return TQWidget::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool SearchPreferences::tqt_emit( int _id, TQUObject* _o )
{
    return TQWidget::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool SearchPreferences::tqt_property( int id, int f, TQVariant* v)
{
    return TQWidget::tqt_property( id, f, v);
}

bool SearchPreferences::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
