#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'spelldlgwidget.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "spelldlgwidget.h"

#include <ntqvariant.h>
#include <ntqpushbutton.h>
#include <ntqbuttongroup.h>
#include <ntqradiobutton.h>
#include <ntqcheckbox.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a SpellDlgWidget as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
SpellDlgWidget::SpellDlgWidget( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "SpellDlgWidget" );
    SpellDlgWidgetLayout = new TQVBoxLayout( this, 11, 6, "SpellDlgWidgetLayout"); 

    buttonGroup1 = new TQButtonGroup( this, "buttonGroup1" );
    buttonGroup1->setFlat( FALSE );
    buttonGroup1->setColumnLayout(0, TQt::Vertical );
    buttonGroup1->layout()->setSpacing( 6 );
    buttonGroup1->layout()->setMargin( 11 );
    buttonGroup1Layout = new TQVBoxLayout( buttonGroup1->layout() );
    buttonGroup1Layout->setAlignment( TQt::AlignTop );

    allBtn = new TQRadioButton( buttonGroup1, "allBtn" );
    buttonGroup1Layout->addWidget( allBtn );

    currentBtn = new TQRadioButton( buttonGroup1, "currentBtn" );
    buttonGroup1Layout->addWidget( currentBtn );

    beginCurrentMsgBtn = new TQRadioButton( buttonGroup1, "beginCurrentMsgBtn" );
    buttonGroup1Layout->addWidget( beginCurrentMsgBtn );

    beginBtn = new TQRadioButton( buttonGroup1, "beginBtn" );
    buttonGroup1Layout->addWidget( beginBtn );

    endBtn = new TQRadioButton( buttonGroup1, "endBtn" );
    buttonGroup1Layout->addWidget( endBtn );

    markedBtn = new TQRadioButton( buttonGroup1, "markedBtn" );
    buttonGroup1Layout->addWidget( markedBtn );
    SpellDlgWidgetLayout->addWidget( buttonGroup1 );

    defaultBtn = new TQCheckBox( this, "defaultBtn" );
    SpellDlgWidgetLayout->addWidget( defaultBtn );
    languageChange();
    resize( TQSize(388, 262).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( allBtn, beginBtn );
    setTabOrder( beginBtn, markedBtn );
    setTabOrder( markedBtn, currentBtn );
    setTabOrder( currentBtn, endBtn );
    setTabOrder( endBtn, defaultBtn );
}

/*
 *  Destroys the object and frees any allocated resources
 */
SpellDlgWidget::~SpellDlgWidget()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void SpellDlgWidget::languageChange()
{
    buttonGroup1->setTitle( tr2i18n( "Choose What You Want to Spell Check" ) );
    TQWhatsThis::add( buttonGroup1, tr2i18n( "Spell check only the current message." ) );
    allBtn->setText( tr2i18n( "A&ll messages" ) );
    TQWhatsThis::add( allBtn, tr2i18n( "Spell check all translated messages of this file." ) );
    currentBtn->setText( tr2i18n( "C&urrent message only" ) );
    TQToolTip::add( currentBtn, TQString::null );
    TQWhatsThis::add( currentBtn, tr2i18n( "Spell check only the current message." ) );
    beginCurrentMsgBtn->setText( tr2i18n( "Fro&m beginning of current message to end of file" ) );
    beginBtn->setText( tr2i18n( "&From beginning of file to cursor position" ) );
    TQWhatsThis::add( beginBtn, tr2i18n( "Spell check all text from the beginning of the file to the current cursor position." ) );
    endBtn->setText( tr2i18n( "F&rom cursor position to end of file" ) );
    TQWhatsThis::add( endBtn, tr2i18n( "Spell check all text from the current cursor position to the end of the file." ) );
    markedBtn->setText( tr2i18n( "S&elected text only" ) );
    TQWhatsThis::add( markedBtn, tr2i18n( "Spell check only the selected text." ) );
    defaultBtn->setText( tr2i18n( "U&se this selection as default" ) );
    TQWhatsThis::add( defaultBtn, tr2i18n( "Check this, to store the current selection as default selection." ) );
}

/****************************************************************************
** SpellDlgWidget meta object code from reading C++ file 'spelldlgwidget.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "spelldlgwidget.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *SpellDlgWidget::className() const
{
    return "SpellDlgWidget";
}

TQMetaObject *SpellDlgWidget::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_SpellDlgWidget( "SpellDlgWidget", &SpellDlgWidget::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString SpellDlgWidget::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "SpellDlgWidget", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString SpellDlgWidget::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "SpellDlgWidget", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* SpellDlgWidget::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQWidget::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"SpellDlgWidget", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_SpellDlgWidget.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* SpellDlgWidget::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "SpellDlgWidget" ) )
	return this;
    return TQWidget::tqt_cast( clname );
}

bool SpellDlgWidget::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return TQWidget::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool SpellDlgWidget::tqt_emit( int _id, TQUObject* _o )
{
    return TQWidget::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool SpellDlgWidget::tqt_property( int id, int f, TQVariant* v)
{
    return TQWidget::tqt_property( id, f, v);
}

bool SpellDlgWidget::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
