#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'rubycodegenerationformbase.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "rubycodegenerationformbase.h"

#include <ntqvariant.h>
#include <ntqpushbutton.h>
#include <ntqgroupbox.h>
#include <ntqcheckbox.h>
#include <ntqcombobox.h>
#include <ntqlabel.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a RubyCodeGenerationFormBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
RubyCodeGenerationFormBase::RubyCodeGenerationFormBase( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "Form1" );
    Form1Layout = new TQGridLayout( this, 1, 1, 11, 6, "Form1Layout"); 

    layout6 = new TQGridLayout( 0, 1, 1, 0, 6, "layout6"); 

    groupBox2 = new TQGroupBox( this, "groupBox2" );
    groupBox2->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)5, (TQSizePolicy::SizeType)4, 0, 0, groupBox2->sizePolicy().hasHeightForWidth() ) );
    groupBox2->setColumnLayout(0, TQt::Vertical );
    groupBox2->layout()->setSpacing( 6 );
    groupBox2->layout()->setMargin( 11 );
    groupBox2Layout = new TQGridLayout( groupBox2->layout() );
    groupBox2Layout->setAlignment( TQt::AlignTop );

    layout2 = new TQGridLayout( 0, 1, 1, 0, 6, "layout2"); 

    m_generateConstructors = new TQCheckBox( groupBox2, "m_generateConstructors" );
    m_generateConstructors->setChecked( FALSE );

    layout2->addWidget( m_generateConstructors, 0, 0 );

    m_generateAssocAccessors = new TQCheckBox( groupBox2, "m_generateAssocAccessors" );
    m_generateAssocAccessors->setChecked( TRUE );

    layout2->addWidget( m_generateAssocAccessors, 2, 0 );

    m_generateAttribAccessors = new TQCheckBox( groupBox2, "m_generateAttribAccessors" );
    m_generateAttribAccessors->setChecked( TRUE );

    layout2->addWidget( m_generateAttribAccessors, 1, 0 );

    groupBox2Layout->addLayout( layout2, 0, 0 );

    layout4 = new TQGridLayout( 0, 1, 1, 0, 6, "layout4"); 

    m_accessorScopeCB = new TQComboBox( FALSE, groupBox2, "m_accessorScopeCB" );

    layout4->addWidget( m_accessorScopeCB, 0, 1 );

    textLabel1_3 = new TQLabel( groupBox2, "textLabel1_3" );

    layout4->addWidget( textLabel1_3, 0, 0 );

    groupBox2Layout->addLayout( layout4, 1, 0 );

    layout4_2 = new TQGridLayout( 0, 1, 1, 0, 6, "layout4_2"); 

    textLabel1_3_2 = new TQLabel( groupBox2, "textLabel1_3_2" );

    layout4_2->addWidget( textLabel1_3_2, 0, 0 );

    m_assocFieldScopeCB = new TQComboBox( FALSE, groupBox2, "m_assocFieldScopeCB" );

    layout4_2->addWidget( m_assocFieldScopeCB, 0, 1 );

    groupBox2Layout->addLayout( layout4_2, 2, 0 );

    layout6->addWidget( groupBox2, 2, 0 );

    groupBox1 = new TQGroupBox( this, "groupBox1" );
    groupBox1->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)5, (TQSizePolicy::SizeType)4, 0, 0, groupBox1->sizePolicy().hasHeightForWidth() ) );
    groupBox1->setColumnLayout(0, TQt::Vertical );
    groupBox1->layout()->setSpacing( 6 );
    groupBox1->layout()->setMargin( 11 );
    groupBox1Layout = new TQHBoxLayout( groupBox1->layout() );
    groupBox1Layout->setAlignment( TQt::AlignTop );

    textLabel1 = new TQLabel( groupBox1, "textLabel1" );
    groupBox1Layout->addWidget( textLabel1 );

    m_SelectCommentStyle = new TQComboBox( FALSE, groupBox1, "m_SelectCommentStyle" );
    groupBox1Layout->addWidget( m_SelectCommentStyle );

    layout6->addWidget( groupBox1, 1, 0 );

    textLabel1_2 = new TQLabel( this, "textLabel1_2" );
    textLabel1_2->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)5, (TQSizePolicy::SizeType)4, 0, 0, textLabel1_2->sizePolicy().hasHeightForWidth() ) );

    layout6->addWidget( textLabel1_2, 0, 0 );

    Form1Layout->addLayout( layout6, 0, 0 );
    languageChange();
    resize( TQSize(462, 376).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
RubyCodeGenerationFormBase::~RubyCodeGenerationFormBase()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void RubyCodeGenerationFormBase::languageChange()
{
    groupBox2->setTitle( tr2i18n( "Auto-Generate Methods" ) );
    m_generateConstructors->setText( tr2i18n( "Empty constructor methods" ) );
    m_generateAssocAccessors->setText( tr2i18n( "Association accessor methods" ) );
    m_generateAttribAccessors->setText( tr2i18n( "Attribute accessor methods" ) );
    m_accessorScopeCB->clear();
    m_accessorScopeCB->insertItem( tr2i18n( "Public" ) );
    m_accessorScopeCB->insertItem( tr2i18n( "Private" ) );
    m_accessorScopeCB->insertItem( tr2i18n( "Protected" ) );
    m_accessorScopeCB->insertItem( tr2i18n( "From Parent Object" ) );
    m_accessorScopeCB->setCurrentItem( 3 );
    textLabel1_3->setText( tr2i18n( "Default attribute accessor scope:" ) );
    textLabel1_3_2->setText( tr2i18n( "Default association field scope:" ) );
    m_assocFieldScopeCB->clear();
    m_assocFieldScopeCB->insertItem( tr2i18n( "Public" ) );
    m_assocFieldScopeCB->insertItem( tr2i18n( "Private" ) );
    m_assocFieldScopeCB->insertItem( tr2i18n( "Protected" ) );
    m_assocFieldScopeCB->insertItem( tr2i18n( "From Parent Role" ) );
    m_assocFieldScopeCB->setCurrentItem( 3 );
    groupBox1->setTitle( tr2i18n( "Documentation" ) );
    textLabel1->setText( tr2i18n( "Style:" ) );
    m_SelectCommentStyle->clear();
    m_SelectCommentStyle->insertItem( tr2i18n( "Hash (#)" ) );
    m_SelectCommentStyle->insertItem( tr2i18n( "Begin-End (=begin  =end)" ) );
    textLabel1_2->setText( tr2i18n( "<p align=\"center\">Ruby Code Generation</p>" ) );
}

/****************************************************************************
** RubyCodeGenerationFormBase meta object code from reading C++ file 'rubycodegenerationformbase.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "rubycodegenerationformbase.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *RubyCodeGenerationFormBase::className() const
{
    return "RubyCodeGenerationFormBase";
}

TQMetaObject *RubyCodeGenerationFormBase::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_RubyCodeGenerationFormBase( "RubyCodeGenerationFormBase", &RubyCodeGenerationFormBase::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString RubyCodeGenerationFormBase::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "RubyCodeGenerationFormBase", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString RubyCodeGenerationFormBase::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "RubyCodeGenerationFormBase", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* RubyCodeGenerationFormBase::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQWidget::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"RubyCodeGenerationFormBase", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_RubyCodeGenerationFormBase.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* RubyCodeGenerationFormBase::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "RubyCodeGenerationFormBase" ) )
	return this;
    return TQWidget::tqt_cast( clname );
}

bool RubyCodeGenerationFormBase::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return TQWidget::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool RubyCodeGenerationFormBase::tqt_emit( int _id, TQUObject* _o )
{
    return TQWidget::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool RubyCodeGenerationFormBase::tqt_property( int id, int f, TQVariant* v)
{
    return TQWidget::tqt_property( id, f, v);
}

bool RubyCodeGenerationFormBase::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
