#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'codeviewerdialogbase.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "codeviewerdialogbase.h"

#include <ntqvariant.h>
#include <ntqpushbutton.h>
#include <ntqcheckbox.h>
#include <ntqlabel.h>
#include <ntqtabwidget.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a CodeViewerDialogBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The qdialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal qdialog.
 */
CodeViewerDialogBase::CodeViewerDialogBase( TQWidget* parent, const char* name, bool modal, WFlags fl )
    : TQDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "CodeViewerDialogBase" );
    TQFont f( font() );
    f.setFamily( "Courier" );
    setFont( f ); 
    setSizeGripEnabled( TRUE );
    CodeViewerDialogBaseLayout = new TQGridLayout( this, 1, 1, 11, 6, "CodeViewerDialogBaseLayout"); 

    layout2 = new TQGridLayout( 0, 1, 1, 0, 6, "layout2"); 

    m_showHiddenCodeCB = new TQCheckBox( this, "m_showHiddenCodeCB" );

    layout2->addWidget( m_showHiddenCodeCB, 0, 1 );

    componentLabel = new TQLabel( this, "componentLabel" );
    componentLabel->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)5, (TQSizePolicy::SizeType)0, 0, 0, componentLabel->sizePolicy().hasHeightForWidth() ) );
    componentLabel->setScaledContents( TRUE );

    layout2->addMultiCellWidget( componentLabel, 1, 1, 0, 2 );

    m_exitButton = new TQPushButton( this, "m_exitButton" );
    m_exitButton->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)0, (TQSizePolicy::SizeType)0, 0, 0, m_exitButton->sizePolicy().hasHeightForWidth() ) );

    layout2->addWidget( m_exitButton, 0, 2 );

    m_highlightCheckBox = new TQCheckBox( this, "m_highlightCheckBox" );
    m_highlightCheckBox->setChecked( FALSE );

    layout2->addWidget( m_highlightCheckBox, 0, 0 );

    CodeViewerDialogBaseLayout->addLayout( layout2, 0, 0 );

    m_tabWidget = new TQTabWidget( this, "m_tabWidget" );

    CodeViewerDialogBaseLayout->addWidget( m_tabWidget, 1, 0 );
    languageChange();
    resize( TQSize(615, 728).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( m_exitButton, TQ_SIGNAL( released() ), this, TQ_SLOT( close() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
CodeViewerDialogBase::~CodeViewerDialogBase()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void CodeViewerDialogBase::languageChange()
{
    setCaption( tr2i18n( "Code Viewer" ) );
    m_showHiddenCodeCB->setText( tr2i18n( "Show hidden blocks" ) );
    componentLabel->setText( tr2i18n( "<p align=\"center\">component name here</p>" ) );
    m_exitButton->setText( tr2i18n( "Close" ) );
    m_highlightCheckBox->setText( tr2i18n( "Show block type" ) );
}

void CodeViewerDialogBase::changeHighlighting(int)
{
    tqWarning( "CodeViewerDialogBase::changeHighlighting(int): Not implemented yet" );
}

/****************************************************************************
** CodeViewerDialogBase meta object code from reading C++ file 'codeviewerdialogbase.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "codeviewerdialogbase.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *CodeViewerDialogBase::className() const
{
    return "CodeViewerDialogBase";
}

TQMetaObject *CodeViewerDialogBase::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_CodeViewerDialogBase( "CodeViewerDialogBase", &CodeViewerDialogBase::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString CodeViewerDialogBase::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "CodeViewerDialogBase", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString CodeViewerDialogBase::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "CodeViewerDialogBase", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* CodeViewerDialogBase::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQDialog::staticMetaObject();
    static const TQUParameter param_slot_0[] = {
	{ 0, &static_QUType_int, 0, TQUParameter::In }
    };
    static const TQUMethod slot_0 = {"changeHighlighting", 1, param_slot_0 };
    static const TQUMethod slot_1 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "changeHighlighting(int)", &slot_0, TQMetaData::Public },
	{ "languageChange()", &slot_1, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"CodeViewerDialogBase", parentObject,
	slot_tbl, 2,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_CodeViewerDialogBase.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* CodeViewerDialogBase::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "CodeViewerDialogBase" ) )
	return this;
    return TQDialog::tqt_cast( clname );
}

bool CodeViewerDialogBase::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: changeHighlighting((int)static_QUType_int.get(_o+1)); break;
    case 1: languageChange(); break;
    default:
	return TQDialog::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool CodeViewerDialogBase::tqt_emit( int _id, TQUObject* _o )
{
    return TQDialog::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool CodeViewerDialogBase::tqt_property( int id, int f, TQVariant* v)
{
    return TQDialog::tqt_property( id, f, v);
}

bool CodeViewerDialogBase::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
