#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'exportallviewsdialogbase.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "exportallviewsdialogbase.h"

#include <ntqvariant.h>
#include <kurlrequester.h>
#include <ntqpushbutton.h>
#include <ntqlabel.h>
#include <ntqcheckbox.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a ExportAllViewsDialogBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The qdialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal qdialog.
 */
ExportAllViewsDialogBase::ExportAllViewsDialogBase( TQWidget* parent, const char* name, bool modal, WFlags fl )
    : TQDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "ExportAllViewsDialogBase" );
    setSizeGripEnabled( TRUE );
    ExportAllViewsDialogBaseLayout = new TQVBoxLayout( this, 11, 6, "ExportAllViewsDialogBaseLayout"); 

    mainLayout = new TQVBoxLayout( 0, 0, 15, "mainLayout"); 

    kURLRequesterLayout = new TQVBoxLayout( 0, 0, 6, "kURLRequesterLayout"); 

    kURLRequesterLabel = new TQLabel( this, "kURLRequesterLabel" );
    kURLRequesterLayout->addWidget( kURLRequesterLabel );

    m_kURL = new KURLRequester( this, "m_kURL" );
    m_kURL->setMode( 2 );
    kURLRequesterLayout->addWidget( m_kURL );
    mainLayout->addLayout( kURLRequesterLayout );

    imageTypeLayout = new TQVBoxLayout( 0, 0, 6, "imageTypeLayout"); 

    imageTypeLabel = new TQLabel( this, "imageTypeLabel" );
    imageTypeLayout->addWidget( imageTypeLabel );
    mainLayout->addLayout( imageTypeLayout );

    m_useFolders = new TQCheckBox( this, "m_useFolders" );
    mainLayout->addWidget( m_useFolders );
    ExportAllViewsDialogBaseLayout->addLayout( mainLayout );
    spacer2 = new TQSpacerItem( 20, 16, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    ExportAllViewsDialogBaseLayout->addItem( spacer2 );

    buttonsLayout = new TQHBoxLayout( 0, 0, 6, "buttonsLayout"); 
    Horizontal_Spacing2 = new TQSpacerItem( 20, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    buttonsLayout->addItem( Horizontal_Spacing2 );

    buttonOk = new TQPushButton( this, "buttonOk" );
    buttonOk->setAutoDefault( TRUE );
    buttonOk->setDefault( TRUE );
    buttonsLayout->addWidget( buttonOk );

    buttonCancel = new TQPushButton( this, "buttonCancel" );
    buttonCancel->setAutoDefault( TRUE );
    buttonsLayout->addWidget( buttonCancel );
    ExportAllViewsDialogBaseLayout->addLayout( buttonsLayout );
    languageChange();
    resize( TQSize(366, 197).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( buttonOk, TQ_SIGNAL( clicked() ), this, TQ_SLOT( accept() ) );
    connect( buttonCancel, TQ_SIGNAL( clicked() ), this, TQ_SLOT( reject() ) );

    // buddies
    kURLRequesterLabel->setBuddy( m_kURL );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ExportAllViewsDialogBase::~ExportAllViewsDialogBase()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ExportAllViewsDialogBase::languageChange()
{
    setCaption( tr2i18n( "Export all views" ) );
    kURLRequesterLabel->setText( tr2i18n( "&Directory to save the diagrams in:" ) );
    TQToolTip::add( kURLRequesterLabel, tr2i18n( "The base directory used to save the images" ) );
    TQToolTip::add( m_kURL, tr2i18n( "The base directory used to save the images" ) );
    imageTypeLabel->setText( tr2i18n( "&Image type:" ) );
    TQToolTip::add( imageTypeLabel, tr2i18n( "The format that the images will be exported to" ) );
    m_useFolders->setText( tr2i18n( "Use &folders" ) );
    TQToolTip::add( m_useFolders, tr2i18n( "Create in the target directory the same tree structure used\n"
"in the document to store the views" ) );
    TQWhatsThis::add( m_useFolders, tr2i18n( "The views are stored in folders in the document. The same tree structure used in the document to store the views can be created in the selected base directory with this option.\n"
"Only the folders made by the user are created in the base directory (Logical view, use case view and so on aren't created)." ) );
    buttonOk->setText( tr2i18n( "&OK" ) );
    buttonCancel->setText( tr2i18n( "&Cancel" ) );
}

/****************************************************************************
** ExportAllViewsDialogBase meta object code from reading C++ file 'exportallviewsdialogbase.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "exportallviewsdialogbase.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *ExportAllViewsDialogBase::className() const
{
    return "ExportAllViewsDialogBase";
}

TQMetaObject *ExportAllViewsDialogBase::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_ExportAllViewsDialogBase( "ExportAllViewsDialogBase", &ExportAllViewsDialogBase::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString ExportAllViewsDialogBase::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "ExportAllViewsDialogBase", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString ExportAllViewsDialogBase::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "ExportAllViewsDialogBase", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* ExportAllViewsDialogBase::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQDialog::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"ExportAllViewsDialogBase", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_ExportAllViewsDialogBase.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* ExportAllViewsDialogBase::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "ExportAllViewsDialogBase" ) )
	return this;
    return TQDialog::tqt_cast( clname );
}

bool ExportAllViewsDialogBase::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return TQDialog::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool ExportAllViewsDialogBase::tqt_emit( int _id, TQUObject* _o )
{
    return TQDialog::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool ExportAllViewsDialogBase::tqt_property( int id, int f, TQVariant* v)
{
    return TQDialog::tqt_property( id, f, v);
}

bool ExportAllViewsDialogBase::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
